com.io7m.jcanephora.renderstate

## Enum JCGLDepthWriting

- java.lang.Object
- - java.lang.Enum<JCGLDepthWriting>
  - - com.io7m.jcanephora.renderstate.JCGLDepthWriting

- All Implemented Interfaces:
    Serializable, Comparable<JCGLDepthWriting>

      public enum JCGLDepthWriting
      extends Enum<JCGLDepthWriting>

  Depth writing configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPTH_WRITE_DISABLED` Writing to the depth buffer is disabled.
    `DEPTH_WRITE_ENABLED` Writing to the depth buffer is enabled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLDepthWriting` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLDepthWriting[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPTH_WRITE_ENABLED

          public static final JCGLDepthWriting DEPTH_WRITE_ENABLED

      Writing to the depth buffer is enabled.

    - #### DEPTH_WRITE_DISABLED

          public static final JCGLDepthWriting DEPTH_WRITE_DISABLED

      Writing to the depth buffer is disabled.

  - ### Method Detail

    - #### values

          public static JCGLDepthWriting[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLDepthWriting c : JCGLDepthWriting.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLDepthWriting valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com